services:
  media-nginx:
    image: nginx:1.27-alpine
    container_name: media-nginx
    restart: unless-stopped
    ports:
      - "127.0.0.1:18087:80"
    volumes:
      - /var/server/media:/usr/share/nginx/html:ro
      - ./nginx/default.conf:/etc/nginx/conf.d/default.conf:ro
    healthcheck:
      test: ["CMD-SHELL", "wget -qO- http://127.0.0.1/ >/dev/null || exit 1"]
      interval: 30s
      timeout: 5s
      retries: 3

